Package javax.help

# Class InvalidHelpSetContextException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.help.InvalidHelpSetContextException

All Implemented Interfaces:
  `Serializable`

public class InvalidHelpSetContextException extends Exception
The HelpSet is not a (transitive) sub-HelpSet of some context HelpSet. For example, setting an ID to a HelpModel.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidHelpSetContextException(String msg, HelpSet context, HelpSet hs)`
Create the exception.

## Method Summary

Modifier and Type
Method
Description
`HelpSet`
`getContext()`
Get the context HelpSet
`HelpSet`
`getHelpSet()`
Get the offending HelpSet

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidHelpSetContextException

public InvalidHelpSetContextException(String msg, HelpSet context, HelpSet hs)
Create the exception. All parameters accept null values.

Parameters:
  `msg` - The message. If msg is null it is the same as if no detailed message was specified.

## Method Details

### getContext

public HelpSet getContext()
Get the context HelpSet

### getHelpSet

public HelpSet getHelpSet()
Get the offending HelpSet